al_get_d3d_device(3)

NAME

al_get_d3d_device - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_direct3d.h>
    LPDIRECT3DDEVICE9 al_get_d3d_device(ALLEGRO_DISPLAY *display)

DESCRIPTION

Returns the Direct3D device of the display. The return value is undefined if the display was not created with the Direct3D flag.

Returns: A pointer to the Direct3D device.